#!/bin/sh
echo 'name: convertible-text
version: 0.4.0.2
id: convertible-text-0.4.0.2-56eca4483ffe03be3478fd314bbb3e35

license: BSD3
copyright: Copyright (c) 2009-2009 John Goerzen, Copyright (c) 2010-2011 Michael Snoyman
maintainer: Michael Snoyman <michael@snoyman.com>
stability: Stable
homepage: http://github.com/snoyberg/convertible/tree/text
package-url:
description: This is a port of John Goerzen'\''s convertible package, intended to distinguish between conversions which are guaranteed to succeed and those which might fail.  It uses the attempt package, which in turn uses the failure package, so that this package is fully compatible with the failure framework.
             .
             This package currently contains all of the typeclasses and instances for convertible.  However, as these features are ported to the convertible package, this package will be left with only the instances for converting to and from text types (String, ByteString (lazy and strict) and Text (lazy and strict).
             .
             Be aware that conversions to and from bytestrings assume UTF-8 encoding. If a different encoding is desired, you can use a newtype wrapper and declare an instance of @ConvertAttempt@ or @ConvertSuccess@ on it.
             .
             The main module to import is "Data.Convertible.Text".
category: Data, Failure
author: John Goerzen, Michael Snoyman
exposed: True
exposed-modules: Data.Convertible.Text Data.Convertible.Base
                 Data.Convertible.Utils Data.Convertible.Instances
                 Data.Convertible.Instances.C Data.Convertible.Instances.Map
                 Data.Convertible.Instances.Num Data.Convertible.Instances.Time
                 Data.Convertible.Instances.Text Data.Convertible.Instances.String
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/convertible-text-0.4.0.2
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/convertible-text-0.4.0.2
              /usr/local/lib
hs-libraries: HSconvertible-text-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: attempt-0.3.1.1-aed3386251c4b2a35704e0add25e80f8
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         old-time-1.0.0.6-37d6575186c36059fbc372c289dbddd4
         template-haskell-2.5.0.0-9ca898a62e2e436d580f8a1457817485
         text-0.11.1.5-1ea395545cc7c8fb42ee757868e225d9
         time-1.2.0.3-57ebba2cc05370f666b7eceba5e468a9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/convertible-text-0.4.0.2/html/convertible-text.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/convertible-text-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
